<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>9 Green tea landing page</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="green.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Inter&family=Montserrat&family=Slabo+13px&display=swap"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Inter&family=Jost:ital,wght@1,300&family=Montserrat&family=Slabo+13px&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Kaisei+Decol&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Italiana&display=swap" rel="stylesheet">
</head>

<body onload="onPageLoading()">
    <div class="Green-Tea">
        <div class="Top-page">
            <div class="Group1">
                <div class="Text">Home</div>
                <div class="Text">About Us</div>
                <div class="Text">Product</div>
                <div class="Text">Contact</div>
            </div>
            <div class="Group2">
                <div class="Rectangle2"></div>
                <div class="Teanologi">Teanologi</div>
            </div>
        </div>
        <div class="About-Us">
            <div class="Rectangle4"></div>
            <div class="Rectangle5">
                <div class="Heading">Home Made</div>
                <div class="Title">Kamus Bahasa Inggris Indonesia ini merupakan Kamus Online yang dibuat untuk
                    memudahkan pencarian, penggunaan dan pembacaan arti kata.</div>
            </div>

        </div>
        <div class="Product">
            <div class="Pilihan">Pilihan dari yang Terbaik</div>
            <div class="Group3">
                <div class="Group">
                    <div class="image1"></div>
                    <div class="item">Stevia</div>
                    <div class="des">Stevia adalah sebuah genus dari sekitar 240 spesies dari ramuan dan semak dalam
                        keluarga bunga matahari, asli subtropis dan daerah tropis dari barat Amerika Utara ke Amerika
                        Selatan.</div>
                </div>
                <div class="Group">
                    <div class="image2"></div>
                    <div class="item">Chamomile</div>
                    <div class="des">Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari Asteraceae. Tanaman
                        ini tumbuh di seluruh wilayah Eropa, wilayah Asia yang memiliki 4 musim. Kamomil juga telah
                        tersebar luas di Amerika Utara dan Australia oleh manusia.</div>
                </div>
                <div class="Group">
                    <div class="image3"></div>
                    <div class="item">Teh Hijau</div>
                    <div class="des">Teh hijau adalah nama teh yang dibuat dari daun tanaman teh yang dipetik dan
                        mengalami proses pemanasan untuk mencegah oksidasi, atau bisa juga berarti minuman yang
                        dihasilkan dari menyeduh daun teh tersebut.</div>
                </div>
                <div class="Group">
                    <div class="image4"></div>
                    <div class="item">Hibiscus</div>
                    <div class="des">Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus dari kelopak bunga
                        rosella berwarna merah tua atau magenta. Itu dikonsumsi baik panas maupun dingin. </div>
                </div>
            </div>
        </div>
        <div class="Discount">
            <div class="left-discount">
                <div class="Sale-off">45 % OFF In Appril 2022 </div>
                <div class="sale-title">Get your coupon and enjoy the discount. terms and Conditions applyu </div>
                <button class="Contact-now">Contact now</button>
            </div>
            <div class="right-discount"></div>
        </div>
        <div class="Contact">
            <div class="Contact-Item">
                <div class="header">Contact</div>
                <input id="input-name" class="input1" name="name" placeholder="Name">
                <input id="input-email" class="input1" name="Email" placeholder="Email">
                <input id="input-message" class="input2" name="Message" placeholder="Message">
                <button onclick="onBtnSubmitClick()" class="send">SEND</button>
            </div>
        </div>
        <div class="TheEnd">
            <div class="item-TheEnd1">
                <div class="image-theEnd"></div>
                <div class="text-theEnd">Teanologi</div>
            </div>
            <div class="item-TheEnd2">
                <div class="image-item1"><img src="image/coolicon_2.png" alt=""></div>
                <div class="image-item2"><img src="image/coolicon_1.png" alt=""></div>
                <div class="image-item3"><img src="image/coolicon.png" alt=""></div>
            </div>
            <div class="item-TheEnd3">
                <div class="End">Home</div>
                <div class="End">About Us</div>
                <div class="End">Product</div>
                <div class="End">Contact</div>
            </div>
        </div>

    </div>

</body>

<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    const gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    const today = new Date();
    const date = today.getDate() + '/' + (today.getMonth() + 1) + '/' + today.getFullYear();
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm tải trang
    function onPageLoading() {
        "use strict"
        console.log(date);
    }

    //hàm sử lý sự kiện submit
    function onBtnSubmitClick() {
        "use strict"
        //Khai báo đối tượng
        var vUserObj = {
            name: "",
            email: "",
            message: "",
            date: ""
        };
        //B1: thu thập thông tin
        thuThapDuLieu(vUserObj);
        //B2: kiểm tra dữ liệu hợp lệ
        var vDuLieuHopLe = validateDtap(vUserObj);
        if (vDuLieuHopLe) {
            //B3: gọi API
            callAPI(vUserObj);
        }
    };

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    //hàm thu thập dữ liệu trên form
    function thuThapDuLieu(paramUserObj) {
        var vNameInput = document.getElementById("input-name");
        var vEmailInput = document.getElementById("input-email");
        var vMessageInput = document.getElementById("input-message");

        paramUserObj.name = vNameInput.value.trim();
        paramUserObj.email = vEmailInput.value.trim();
        paramUserObj.message = vMessageInput.value.trim();
        paramUserObj.date = date;
    };

    //hàm khiểm tra dữ liệu hợp lệ
    function validateDtap(paramUserObj) {
        if (paramUserObj.name === "") {
            alert("Name phải được nhập");
            return false
        }
        if (paramUserObj.email === "") {
            alert("Email phải được nhập");
            return false
        }
        if (validateEmail(paramUserObj.email) != true) {
            alert("Email nhập vào phải đúng định dạng");
            return false;
        }
        if (paramUserObj.message === "") {
            alert("Mesage phải được nhập");
            return false
        }
        if (paramUserObj.message.length < 20) {
            alert("Mesage phải trên 20 ký tự");
            return false
        }
        return true;
    };

    //hàm kiểm tra Email
    function validateEmail(paramEmails) {
        var isValid = false;
        var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (regex.test(paramEmails)) {
            isValid = true;
        }
        return isValid;
    }

    //Hàm gọi API xử lý sự kiện
    function callAPI(paramUserObj) {
        var vAPI_URL = gBASE_URL + "/contacts";
        var vXmlHttp = new XMLHttpRequest();
        vXmlHttp.open("POST", vAPI_URL, true);
        vXmlHttp.setRequestHeader("Content-Type", "application/json");
        vXmlHttp.send(JSON.stringify(paramUserObj));

        vXmlHttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_OK) {
                xuLyHienThi(vXmlHttp);
                console.log(vXmlHttp.responseText);
            }
        }
    };

    //Hàm xử lý hiển thị thông tin
    function xuLyHienThi(paramXmlhttp) {
        var vResponText = paramXmlhttp.vResponText;
        if (vResponText != "") {
            alert("Gửi yêu cầu thành công");
        }
        else {
            alert("Yêu cầu thất bại");
        }
        var vUrl = "Admin/listContact.html";
        window.location.href = vUrl;
    };


</script>

</html>